Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#228 Unable to edit/move in subsequent window

release
closed-invalid
nobody
Program (402)
1
2004-07-15
2002-12-25
Anonymous
No

After opening a second document, I am unable to edit or
move around the child document, unless I close the
first document.

After I close the 'original' document/file, I am able
to edit edit the child document. If I open another file
form this new 'parent' window, I cannot edit or even
access key/mouse actions until I close the new 'parent'.

I can continue to open more than one document from the
original window, but only form the 'original' window.
I cannot edit or access any menus until I close the
parent window. But when I close the parent window, I
can edit all the documents opened from that window, but
if I open any subseqent documents, I CAN edit that window.

If I start opening other windows, if a window at is
orphaned from a particular document, it is locked up
until I close all but one of the other windows.

I hope you can fix this, I like this editor.

Discussion

  • Andrew Hood
    Andrew Hood
    2002-12-25

    Logged In: YES
    user_id=36856

    Merry Xmas.
    Please supply the output of "nedit -version"

     
  • Logged In: YES
    user_id=692014

    This bug is similar to the bug number 620392!

    I have the same problem under RedHat 7.3 and Mandrake 9.0.
    - On RedHat I've the problem if I compile myself NEdit
    (5.3) using LessTif (0.93.34). BUT it is working fine if I'm
    using OpenMotif 2.2 (excepts that I'm getting other bugs
    with that solution...)
    - On Mandrake, I'm using the package shipped with the
    distro which are using NEdit 5.3 and Lesstif. And I have
    also the problem.

    One thing strange, is that if you are opening a another
    window from the parent using the "Open Previous" menu, the
    child window is editable, scrollable, etc.

    I'm at work right now under RedHat, and as I have installed
    OpenMotif, it's "fine". But I'll send you this weekend from
    home on my Mandrake box the output of "nedit -version".

     
  • Thorsten Haude
    Thorsten Haude
    2003-02-14

    Logged In: YES
    user_id=119143

    From a duplicate entry (#620392):
    - - -
    Date: 2002-10-24 22:58
    Sender: lgoujon
    Logged In: YES
    user_id=619758

    NEdit 5.3
    Jun 1, 2002

    Built on: Linux, x86, GNU C
    Built at: Aug 20 2002, 12:29:40
    With Motif: 2001 [@(#)GNU/LessTif Version 2.1 Release
    0.93.34]
    Running Motif: 2001
    Server: The XFree86 Project, Inc 40200000

    Linux Slackware

     
  • Logged In: NO

    Please check lesstif 93.40, Danny claims this would be fixed,
    however it isn't for me, cf.
    http://www.nedit.org/archives/discuss/2003-Feb/0053.html

    If in 93.40 it still fails for you, submit it to the lesstif bug
    tracker where it belongs to.

     
  • Logged In: YES
    user_id=692014

    Hello,
    you will finc below some env infos:

    $ rpm -qva | egrep -i "nedit|lesstif"
    nedit-5.3-1mdk
    lesstif-0.93.34-2mdk

    -----

    $ uname -a
    Linux Heksie 2.4.19-16mdk #1 Fri Sep 20 18:15:05 CEST 2002
    i686 unknown unknown GNU/Linux

    -----

    $ nedit -V
    NEdit 5.3
    Jun 1, 2002

    Built on: Linux, x86, GNU C
    Built at: Jul 21 2002, 07:40:41
    With Motif: 2001 [@(#)GNU/LessTif Version 2.1 Release
    0.93.34]
    Running Motif: 2001
    Server: Mandrake Linux (XFree86 4.2.1, patch level
    3mdk) 40201000

     
  • Scott Tringali
    Scott Tringali
    2003-02-17

    Logged In: YES
    user_id=11321

    Did you build this yourself? If so:

    Linux distributions typically do not handle binary compatability
    well each release. If you built it yourself, and upgraded the
    operating system, then you probably need to rebuild.

    Did you upgrade your Motif libraries to a new version, or switch
    between LessTif to OpenMotif or OSF Motif? The three are not
    necessarily compatabile.

    Did you built it with recent versions of LessTif or OpenMotif?
    Recent version of LessTif are less stable. If you use LessTif at
    all, we recommend you use LessTif 0.93.0, nothing more recent.
    If you use OpenMotif, we recommend OpenMotif 2.1.

    Consider downloading the Linux binary from http://www.nedit.org,
    which is statically linked with OSF Motif. This is far more
    robust because it is statically linked against OSF Motif, and
    immune to operating system or library upgrades that are
    incompatible.

    If not: sometimes system vendors build their own version of NEdit
    with unstable releases of LessTif or OpenMotif. Consider
    reporting the bug to your vendor.

     
  • Scott Tringali
    Scott Tringali
    2003-02-17

    • milestone: --> release
    • priority: 5 --> 1
     
  • Brian Adamson
    Brian Adamson
    2003-03-31

    Logged In: YES
    user_id=746416

    FYI, this same bug is now occurring with the MacOS X with Apple's X11 server. I am using the Fink distributions of nedit-5.3.5 and lesstif-0.93.36-2.

     
  • Logged In: NO

    I encounter this bug too, on different Linux boxes and distribs.
    And I like this editor too, this bug is a little annoying.

     
  • Logged In: NO

    Again the last lesstif version you can use to build NEdit with is
    0.93.18. For linux simply get a binary from nedit.org.

    --Joerg

     
  • Thorsten Haude
    Thorsten Haude
    2004-07-15

    Logged In: YES
    user_id=119143

    Another Lesstif problem.

     
  • Thorsten Haude
    Thorsten Haude
    2004-07-15

    • status: open --> closed-invalid